std::ranges::enumerate_view::iterator::operator*(3)

NAME
std::ranges::enumerate_view::iterator::operator* - std::ranges::enumerate_view::iterator::operator*

Synopsis
   constexpr auto operator*() const; (since C++23)
   Returns the current element in the enumerate_view.
   Equivalent to: return reference-type(pos_, *current_);.

Parameters
   (none)

Return value
   The current element.

Example
    This section is incomplete
    Reason: no example

See also
   operator[] accesses an element by index
   (C++23) (public member function)

Category:
     * Todo no example